﻿using Infragistics.Documents.Excel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamSpreadsheet
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Workbook workbook = new Workbook(WorkbookFormat.Excel2007);
            Worksheet sheet = workbook.Worksheets.Add("Sheet1");

            sheet.GetCell("A2").Value = 100;
            sheet.GetCell("A3").Value = 123;
            sheet.GetCell("A4").Value = 150;
            sheet.GetCell("B2").Value = 63;
            sheet.GetCell("B3").Value = 15;
            sheet.GetCell("B4").Value = 55;
            sheet.GetCell("C2").Value = 10;
            sheet.GetCell("C3").Value = 42;
            sheet.GetCell("C4").Value = 34;
            sheet.GetCell("D2").Value = 45;
            sheet.GetCell("D3").Value = 105;
            sheet.GetCell("D4").Value = 84;

            WorksheetChart chart1 = sheet.Shapes.AddChart(Infragistics.Documents.Excel.Charts.ChartType.Line, sheet.GetCell("A6"), new Point(0, 0), sheet.GetCell("D11"), new Point(100, 100));
            chart1.SetSourceData("A2:D4", true);

            xamSpreadsheet1.Workbook = workbook;
        }
    }
}
